Support for the Ruby 2.2 series will end March 2018. See here for reference.

In Files

  • error.c

Parent

Class/Module Index [+]

Quicksearch
toggle debugging

SyntaxError

Raised when encountering Ruby code with an invalid syntax.

eval("1+1=2")

raises the exception:

SyntaxError: (eval):1: syntax error, unexpected '=', expecting $end